//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLHBaseElement Interface
//**************************************************************************

function HTMLBaseElement()
{
   var tests = new Array (HTML0001HBAE(),HTML0002HBAE());
   return tests;
}

//------------------------ test case HTML-0001HBAE -------------------------
//
// Testing feature - The "href" attribute specifies the base URI.
//
// Testing approach - Retrieve the "href" attribute from the first 
//                    BASE element of the testing document and examine 
//                    its value.  It should be equal to the string stored
//                    in the variable "BASE6";
//
// Semantic Requirements: 1
//
// Last modification date - August 24, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HBAE()
 {
   var computedValue = "";
   var expectedValue = BASE6;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HBAE");
    results.description = "The \"href\" attribute specifies the "+
                          "base URI.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BASE);
//
// and access its "href" attribute.
//
      computedValue = testNode.node.href;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HBAE -------------------------
//
//------------------------   test case HTML-0002HBAE   -------------------------
//
// Testing feature - The "target" attribute specifies the default target
//                   frame.
//
// Testing approach - Retrieve the "target" attribute from the first
//                    BASE element of the testing document and examine
//                    its value.  It should be equal to "viewer". 
//
// Semantic Requirements: 2 
//
// Last modification date - August 24, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HBAE()
 {
   var computedValue = "";
   var expectedValue = "VIEWER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HBAE");
    results.description = "The \"target\" attribute specifies the "+
                          "default target frame.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BASE,FIRST);
//
// and access its "target" attribute.
//
      computedValue = testNode.node.target;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HBAE -------------------------
