//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLBaseFontElement Interface
//**************************************************************************

function HTMLBaseFontElement()
{
   var tests = new Array (HTML0001HBFE(),HTML0002HBFE(),HTML0003HBFE());
   return tests;
}

//------------------------ test case HTML-0001HBFE -------------------------
//
// Testing feature - The "color" attribute specifies the base font's 
//                   color. 
//
// Testing approach - Retrieve the first BASEFONT element from the testing
//                    document and examine its "color" attribute.  It should
//                    be set to "#000000" (black).
//
// Semantic Requirements: 1
//
// Last modification date - August 16, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HBFE()
 {
   var computedValue = "";
   var expectedValue = "#000000";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HBFE");
    results.description = "The \"color\" attribute specifies the "+
                          "base font's color.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BASEFONT);
//
// and access its "color" attribute.
//
      computedValue = testNode.node.color;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HBFE --------------------------
//
//------------------------   test case HTML-0002HBFE ----------------------------
//
// Testing feature - The "face" attribute specifies the base font's face
//                   identifier.
//
// Testing approach - Retrieve the first BASEFONT element from the testing
//                    document and examine its "face" attribute.  It should
//                    be set to "ARIAL,HELVITICA".
//
// Semantic Requirements: 2 
//
// Last modification date - October 25, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HBFE()
 {
   var computedValue = "";
   var expectedValue = "ARIAL,HELVITICA";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HBFE");
    results.description = "The \"face\" attribute specifies the "+
                          "font's face identifier.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BASEFONT);
//
// and access its "face" attribute.
//
      computedValue = testNode.node.face;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HBFE --------------------------
//
//------------------------   test case HTML-0003HBFE ----------------------------
//
// Testing feature - The "size" attribute specifies the base font's size.
//
// Testing approach - Retrieve the first BASEFONT element from the testing
//                    document and examine its "size" attribute.  It should
//                    be set to "4".
//
// Semantic Requirements: 3 
//
// Last modification date - August 16, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0003HBFE()
 {
   var computedValue = "";
   var expectedValue = "4";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HBFE");
    results.description = "The \"size\" attribute specifies the "+
                          "font's size.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BASEFONT);
//
// and access its "size" attribute.
//
      computedValue = testNode.node.size;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0003HBFE --------------------------
