//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                             HTMLOListElement Interface
//**************************************************************************

function HTMLOListElement()
{
   var tests = new Array (HTML0001HOLE(),HTML0002HOLE(),HTML0003HOLE());
   return tests;
}

//------------------------ test case HTML-0001HOLE -------------------------
//
// Testing feature - The "compact" attribute signifies that space should
//                   be reduced between list items.
//
// Testing approach - Retrieve the "compact" attribute from the first 
//                    OL element of the testing document and examine its
//                    value. 
//
// Semantic Requirements: 1
//
// Last modification date - August 17, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HOLE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HOLE");
    results.description = "The \"compact\" attribute specifies that "+
                          "space should be reduced between list items.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(OL);
//
// and access its "compact" attribute.
//
      computedValue = testNode.node.compact;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HOLE --------------------------
//
//------------------------   test case HTML-0002HOLE   --------------------------
//
// Testing feature - The "start" attribute specifies the starting sequence 
//                   number.
//
// Testing approach - Retrieve the "start" attribute from the first
//                    OL element of the testing document and examine its
//                    value.
//
// Semantic Requirements: 2 
//
// Last modification date - August 17, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HOLE()
 {
   var computedValue = "";
   var expectedValue = 1;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HOLE");
    results.description = "The \"start\" attribute specifies the "+
                          "starting sequence number.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(OL);
//
// and access its "start" attribute.
//
      computedValue = testNode.node.start;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HOLE --------------------------
//
//------------------------   test case HTML-0003HOLE   --------------------------
//
// Testing feature - The "type" attribute specifies the numbering style. 
//
// Testing approach - Retrieve the "type" attribute from the first
//                    OL element of the testing document and examine its
//                    value.
//
// Semantic Requirements: 3 
//
// Last modification date - August 17, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0003HOLE()
 {
   var computedValue = "";
   var expectedValue = "1";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HOLE");
    results.description = "The \"type\" attribute specifies the "+
                          "numbering style.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(OL);
//
// and access its "type" attribute.
//
      computedValue = testNode.node.type;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0003HOLE --------------------------
